"""empty message

Revision ID: 003190b5fbe4
Revises: 
Create Date: 2022-10-22 00:09:26.934913

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '003190b5fbe4'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('box',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('color', sa.String(length=255), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('color'),
    sa.UniqueConstraint('name')
    )
    op.create_table('box_item',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('box_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['box_id'], ['box.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('box_item')
    op.drop_table('box')
    # ### end Alembic commands ###
